# ================== Server ==================
server:
  port: 8186
  # servlet:
  #   context-path: /urban-lifeline/bidding  # 微服务架构下，context-path由Gateway管理

# ================== Auth ====================
urban-lifeline:
  auth:
    enabled: true
    whitelist:
      - /swagger-ui/**
      - /swagger-ui.html
      - /v3/api-docs/**
      - /webjars/**
      - /favicon.ico
      - /error
      - /actuator/health
      - /actuator/info

security:
  aes:
    secret-key: 1234567890qwer

# ================== Spring ==================
spring:
  application:
    name: bidding-service
  
  # ================== Spring Cloud Nacos ==================
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848
        namespace: dev
        group: DEFAULT_GROUP
  
  # ================== DataSource ==================
  datasource:
    url: jdbc:postgresql://127.0.0.1:5432/urban_lifeline
    username: postgres                                     
    password: postgres
    driver-class-name: org.postgresql.Driver

  # ================== Redis ==================
  data:
    redis:
      host: 127.0.0.1       # 如果是 docker 跑的 redis，按实际 host / 端口改
      port: 6379
      database: 0
      password: 123456        # 如果有密码就填上，没密码可以去掉这一行

# ================== SpringDoc ==================
springdoc:
  api-docs:
    enabled: true
    path: /v3/api-docs
  swagger-ui:
    enabled: true
    path: /swagger-ui.html
  group-configs:
    - group: 'default'
      display-name: '招投标服务 API'
      paths-to-match: '/**'

# ================== Dubbo + Nacos ==================
dubbo:
  application:
    name: urban-lifeline-bidding
    qos-enable: false
  protocol:
    name: dubbo
    port: -1
  registry:
    address: nacos://127.0.0.1:8848
  scan:
    base-packages: org.xyzh.bidding.service.impl

# ================== MyBatis ==================
mybatis-plus:
  mapper-locations: classpath:mapper/**/*.xml
  type-aliases-package: org.xyzh.common.dto, org.xyzh.api

# ================== Logging ==================
logging:
  config: classpath:log4j2.xml
  charset:
    console: UTF-8
    file: UTF-8
